<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.grid.mapper.GridMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="gridResultMap" type="org.springblade.modules.grid.entity.Grid">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="grid_name" property="gridName"/>
        <result column="grid_color" property="gridColor"/>
        <result column="type" property="type"/>
        <result column="bounds" property="bounds"/>
        <result column="area_code" property="areaCode"/>
        <result column="code_path" property="codePath"/>
        <result column="user_code" property="userCode"/>
    </resultMap>


    <select id="selectGridPage" resultMap="gridResultMap">
        select * from cy_grid where is_deleted = 0
    </select>

</mapper>
